LDFLAGS="$(pkg-config --cflags --libs ${NO_FFTW:-fftw3} ${NO_PULSE:-libpulse-simple})"
CFLAGS="-Wall -Wextra -Werror -fPIC -O3 ${DEBUG:+-ggdb}"

gcc_invoke="gcc ${NO_FFTW:--DUSE_FFTW} ${NO_PULSE:--DUSE_PULSE} -shared ${0%/*}/src/c/yammer.c -o ${0%/*}/.libs/libyammer.so ${CFLAGS} -shared ${LDFLAGS}"

mkdir ${0%/*}/.libs
export C_INCLUDE_PATH="${0%/*}/src/c${C_INCLUDE_PATH:+:$C_INCLUDE_PATH}"
eval "$gcc_invoke"
